Skip to main content
GET
/
v1
/
chains
List supported chains
curl --request GET \
  --url https://api.delora.build/v1/chains
{
  "chains": [
    {
      "key": "base",
      "name": "Base",
      "chainType": "EVM",
      "id": 8453,
      "idHex": "0x2105",
      "mainnet": true,
      "logoURI": "https://example.com/base.png",
      "tokenlistUrl": "https://tokens.example.com/base.json",
      "multicallAddress": "0xcA11bde05977b3631167028862bE2a173976CA11",
      "rpcUrls": [
        "https://mainnet.base.org"
      ],
      "blockExplorerUrls": "https://basescan.org",
      "nativeToken": {
        "address": "0x0000000000000000000000000000000000000000",
        "decimals": 18,
        "symbol": "ETH",
        "chainId": 8453,
        "coinKey": "ETH",
        "name": "Ether",
        "logoURI": "https://example.com/eth.png"
      },
      "DeloraDiamond": "0x1111111111111111111111111111111111111111"
    }
  ]
}

Headers

x-api-key
string

Optional API key for higher rate limits and fee rules.

Query Parameters

chainTypes
string

Comma-separated chain types to include. Supported values: EVM, SVM.

Example:

"EVM,SVM"

Response

Supported chains response.

chains
object[]
required